[arch-commits] Commit in vlc (repos/testing-i686 trunk/PKGBUILD)

Giovanni Scafora giovanni at archlinux.org
Mon Sep 29 22:25:45 UTC 2008


    Date: Monday, September 29, 2008 @ 18:25:45
  Author: giovanni
Revision: 13926

archrelease: new repo testing-i686

Added:
  vlc/repos/testing-i686/
    (from rev 13925, vlc/trunk)
Modified:
  vlc/trunk/PKGBUILD

----------+
 PKGBUILD |   96 +++++++++++++++++++------------------------------------------
 1 file changed, 30 insertions(+), 66 deletions(-)

Copied: vlc/repos/testing-i686 (from rev 13925, vlc/trunk)

Modified: trunk/PKGBUILD
===================================================================
--- trunk/PKGBUILD	2008-09-29 21:25:43 UTC (rev 13925)
+++ trunk/PKGBUILD	2008-09-29 22:25:45 UTC (rev 13926)
@@ -3,80 +3,44 @@
 # Contributor: Sarah Hay <sarahhay at mb.sympatico.ca>
 
 pkgname=vlc
-pkgver=0.8.6i
-_ffmpegver=20080715
-pkgrel=3
+pkgver=0.9.3
+pkgrel=1
 pkgdesc="A multi-platform MPEG, VCD/DVD, and DivX player"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 url="http://www.videolan.org/vlc/"
 license=('GPL')
-depends=('libmad>=0.15.1b-2' 'libmpeg2>=0.4.0b-3'
-         'wxgtk' 'hal>=0.5.9.1' 'libid3tag>=0.15.1b-2' 'bash>=3.1'
-         'libdvbpsi4>=0.1.5' 'fribidi>=0.10.7' 'sysfsutils>=2.0.0'
-         'libdvdnav>=0.1.10-2' 'libdvdread>=0.9.4-3' 'xvidcore>=1.1.0-2'
-         'libmatroska>=0.8.0' 'libxv>=1.0.1' 'libcdio>=0.78.2' 'desktop-file-utils'
-         'lame' 'sdl' 'libvorbis' 'a52dec' 'faad2>=2.6.1' 'faac' 'zlib' 'imlib2'
-         'x264>=20080625' 'libtheora' 'libdca' 'gnutls>=2.4.1')
-#Note: These build plugins, so I guess they'd be runtime depends
-makedepends=('live-media' 'gnome-vfs' 'mesa' 'sdl_image' 'libmpcdec' 'speex'
-             'libnotify' 'libmodplug' 'lirc-utils')
-options=(force)
-install=${pkgname}.install
-source=(http://download.videolan.org/pub/videolan/vlc/${pkgver}/${pkgname}-${pkgver}.tar.bz2
-        ftp://ftp.archlinux.org/other/ffmpeg/ffmpeg-$_ffmpegver-14236.tar.bz2)
-md5sums=('3c90520c9f22a68d287458d5a8af989e' '899ee3dd56a779b1152e48a94fde69f0')
+depends=('libmad' 'libmpeg2' 'ffmpeg' 'hal' 'fluidsynth' \
+         'libdvbpsi4' 'fribidi' 'sysfsutils' 'libdvdnav' \
+         'libmatroska' 'zvbi' 'libdvdread' 'libmpcdec' \
+         'libdca' 'libxml2' 'lirc-utils' 'libcddb' 'libraw1394' \
+         'smbclient' 'taglib'  'libmodplug' 'avahi' \
+         'sdl_image' 'speex' 'libnotify' 'lua' 'qt')
+makedepends=('pkgconfig' 'live-media>=2008.09.02')
+source=(http://download.videolan.org/pub/videolan/vlc/${pkgver}/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('f38aa41ad3ac8b411f2d4a12e3525120')
 
 build() {
-     cd $startdir/src/ffmpeg || return 1
-
-     # configure
-     ./configure \
-          --enable-gpl \
-          --enable-postproc \
-          --enable-libmp3lame \
-          --enable-libvorbis \
-          --enable-libfaac \
-          --enable-libfaad \
-          --enable-liba52 \
-          --enable-libxvid \
-          --enable-libx264 \
-          --enable-libtheora \
-          --disable-libamr-nb \
-          --enable-shared \
-          --enable-pthreads \
-          --enable-x11grab \
-       || return 1
-
-     # build
-     make || return 1
-
-  cd $startdir/src/${pkgname}-${pkgver}
-  sed -i -e 's:#include <vlc\/vlc.h>:#include <vlc/vlc.h> \n #include <locale.h>: ' src/misc/charset.c
-  sed -i -e 's:/truetype/freefont/FreeSerifBold.ttf:/TTF/VeraBd.ttf:' modules/misc/freetype.c
-
-  # features that won't build on x86_64
-  [ "${CARCH}" = "i686" ] && EXTRAFEATURES="--enable-loader"
-
-  # export linker flags for the ffmpeg tree
-  # this has to be in sync with how ffmpeg was configured above
-  export LDFLAGS_ffmpeg="-lfaad -la52 -lxvidcore -lmp3lame -lx264"
-
-  LDFLAGS="${LDFLAGS} -lbz2" ./configure --prefix=/usr --enable-dvdread --enable-dvdnav --enable-madi \
-    --enable-ffmpeg --disable-rpath --enable-wxwidgets --enable-faad \
-    --enable-alsa --enable-skins2 --enable-livedotcom --enable-dvb --enable-theora \
-    --enable-dmo --with-livedotcom-tree=/usr/lib/live-media \
-    --with-ffmpeg-faac --with-ffmpeg-vorbis --with-ffmpeg-dts \
-    --with-ffmpeg-ogg --with-ffmpeg-theora --with-ffmpeg-tree=$startdir/src/ffmpeg/ \
-    --with-ffmpeg-config-path=$startdir/src/ffmpeg/ \
-    --enable-v4l --enable-lirc \
-    --with-wx-config=wx-config ${EXTRAFEATURES} || return 1
+  cd ${startdir}/src/vlc-0.9.3
+  
+  [ "${CARCH}" = "i686" ] && EXTRAFEATURES="--enable-loader --disable-live555 --with-live555-tree=/usr/lib/live-media"
+  [ "${CARCH}" = "x86_64" ] && EXTRAFEATURES="--enable-fast-install"
+  ./configure --prefix=/usr --enable-dvdread --enable-dvdnav \
+              --enable-madi --enable-ffmpeg --disable-rpath \
+              --enable-qt4 --enable-faad --enable-alsa --enable-skins2 \
+              --enable-dvb --enable-dmo --with-ffmpeg-faac \
+              --with-ffmpeg-vorbis --with-ffmpeg-dts --with-ffmpeg-ogg \
+              --with-ffmpeg-theora --enable-v4l --enable-theora \
+              --enable-flac --enable-snapshot --enable-hal --enable-dbus \
+              --enable-ogg --enable-dbus-control --enable-shared \
+              --enable-nls --enable-lirc --enable--shout \
+              --enable-debug --program-suffix= \
+              --with-dv-raw1394=/usr/include/libraw1394 ${EXTRAFEATURES} || return 1
   make || return 1
   make DESTDIR=${startdir}/pkg install || return 1
-
+  
   for res in 16 32 48; do
-    install -D -m644 share/vlc${res}x${res}.png \
-      ${startdir}/pkg/usr/share/icons/hicolor/${res}x${res}/apps/vlc.png || return 1
+    install -D -m644 ${startdir}/src/vlc-${pkgver}/share/vlc${res}x${res}.png \
+		     ${startdir}/pkg/usr/share/icons/hicolor/${res}x${res}/apps/vlc.png || return 1
   done
-
   rm -rf ${startdir}/pkg/usr/lib/mozilla
 }




More information about the arch-commits mailing list